package aexp.aidl;

import android.app.Service;
import android.os.IBinder;
import android.content.Intent;
import android.util.Log;
import android.os.Bundle;

public class AdderServiceImpl extends Service {

    @Override
    public IBinder onBind( Intent intent ) {
        return mBinder;
    }

    @Override
    public void onCreate() {
      super.onCreate();
	  Log.d( "ADDERSERVICEIMPL","onCreate" );
    }

    /**
     * The IAdderService is defined through IDL
     */
    private final IAdderService.Stub mBinder = new IAdderService.Stub() {
      public int add( int i1, int i2 ) {
		return i1+i2;
      }
    };

    @Override
    public void onDestroy() {
	  super.onDestroy();
	  Log.d( "ADDERSERVICEIMPL","onDestroy" );
    }

}